Skip to content

Retrieve additional recipient account requirements dynamically

Request

If refreshRequirementsOnChange=true for any group.key in the GET response, send this POST request with the updated create recipient account request payload. The response returns the additional required fields for that key based on the updated key value.

For example, when address.country is set to US, the address.state field becomes required. To retrieve the list of valid state names, use the POST operation to requery with the updated /accounts payload. The response returns the valid state names in the key’s valuesAllowed array.

Security
UserToken
Path
quoteIdstringrequired

Quote ID (supports long or UUID-based IDs).

Query
originatorLegalEntityTypestring

Legal entity type override for the actual sender.

Correspondent partners must include the originatorLegalEntityType query parameter to ensure the correct requirements are returned in the response. This parameter indicates whether the actual sender is PRIVATE or BUSINESS. When not included, the request is assumed to be for a BUSINESS entity, as Wise has no way of knowing if the true sender on a third-party transfer is a business or private individual.

Enum:"BUSINESS""PRIVATE"
Headers
Accept-Minor-Versioninteger

Set to 1 to ensure the response includes both the recipient name and email fields, which are required to support currencies such as KRW, JPY and RUB.

Value:1
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
currencystring

3-character currency code.

Example:"GBP"
typestring

Recipient account type. These are currency/route-specific, for example, sort_code, iban, email.

Example:"sort_code"
profileinteger, (int64)

Personal or business profile ID of the sender. We recommend passing the business profile ID if multiple users manage your business account so all users authorized on the business account can access the recipient.

Example:30000000
accountHolderNamestring

Recipient full name.

Example:"John Doe"
ownedByCustomerboolean

Indicates whether the recipient account is owned by the profile owner.

While optional, we recommend setting to true for self-transfers (such as a user sending money to their own account in another country or currency). Distinguishing self-transfers from third-party transfers improves routing and processing efficiency.

Example:true
detailsobject

Contains the details of the recipient account specific to its currency and type.

Common examples include legalType, sortCode, accountNumber, email, dateOfBirth, etc. Use the retrieve recipient account requirements endpoint to determine what is required for a specific recipient.

ultimateBeneficiaryobject or null

The details about the ultimate beneficiary for this recipient, if present. If absent, the ultimate beneficiary is the recipient.

curl -i -X POST \
  'https://api.wise.com/2026Q4/quotes/{quoteId}/account-requirements?originatorLegalEntityType=BUSINESS' \
  -H 'Accept-Minor-Version: 1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "currency": "GBP",
    "type": "sort_code",
    "profile": 30000000,
    "accountHolderName": "John Doe",
    "ownedByCustomer": true,
    "details": {
      "legalType": "PRIVATE",
      "sortCode": "040075",
      "accountNumber": "37778842",
      "dateOfBirth": "1961-01-01"
    },
    "ultimateBeneficiary": {
      "accountNumber": "37778842",
      "bankName": "Wise Payments Limited",
      "bankCode": "026073150",
      "name": {
        "fullName": "John Doe"
      },
      "address": {
        "country": "US",
        "firstLine": "string",
        "postCode": "string",
        "city": "string",
        "state": "string"
      },
      "bankAddress": {
        "country": "US",
        "firstLine": "string",
        "postCode": "string",
        "city": "string",
        "state": "string"
      }
    }
  }'

Responses

Updated account requirements based on provided data.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
Array [
typestring

Requirement group identifier (route/payout-method specific).

Example:"south_korean_paygate"
titlestring

Human-readable title for the requirement group.

Example:"PayGate"
usageInfostring

Optional usage/help text.

Example:null
fieldsArray of objects

List of UI field groups to collect required data.

]
Response
[ { "type": "south_korean_paygate", "title": "PayGate", "usageInfo": null, "fields": [ { … }, { … }, { … }, { … }, { … }, { … } ] } ]